Subject: Re: Question: How does one do this?

From: [email-masked] (David W. Tamkin)
Date: Tue, 13 Sep 1994 18:49:59 -0500 (CDT)

Peter Stark asked,

| However, here is the catch: Sometimes the [email-masked] address is in 
| the CC and sometimes it is in the To field. And tometimes it isn't the 
| only address present in the field. Is this possible to do?

That's precisely what the ^TO token is for.  It matches on To:, Cc:, Bcc:,
Apparently-To:, Resent-To:, Resent-Cc:, Apparently-Resent-To:, Resent-Bcc:,
X-Envelope-To:, and a bunch of other ways to indicate a recipient, plus any
string that ends in something other than a letter or a digit (such as the
comma or space that follows the address just before it if it isn't the first
address on the line).  All you need is this:

* [email-masked]

Note that the T and the O must be capitalized for procmail to recognize the
special token, even if you're not using the 'D' flag.

David W. Tamkin  P. O. Box 3284  Skokie IL  60076-6284
[email-masked]   MCI Mail: 426-1818   +1 312 714 5610